Aller au contenu
Français

Profil utilisateur

GET/v1/me

Renvoie le profil du compte de messagerie actuel. Utilisez-le pour afficher le nom d'utilisateur et la connexion dans votre application.

Zones d’autorisation et d’accès · Erreurs et répétitions

Demande

Fenêtre de terminal
curl -X GET 'https://adapt-mail.com/v1/me' \
-H 'Authorization: Bearer <access_token>'

Possibilités

X-Customer-IDheader
Option 1

string

Option 2

null

Réponses

200 Réponse réussie

application/json

object

id

integer

email
Option 1

string

Option 2

null

name

string

verified

boolean

quota_mb

integer

mailbox_id
Option 1

integer

Option 2

null

auth_type

string

login

string

is_admin

boolean

files_enabled

boolean

service_managed

boolean

401 Connexion requise

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

403 Pas d'accès

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

404 Ressource introuvable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

409 Conflit d'État

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

422 Erreur de validation

application/json

object

detail

array

Éléments du tableau

object

locNécessairement

array

Éléments du tableau
Option 1

string

Option 2

integer

msgNécessairement

string

typeNécessairement

string

503 Indisponibilité temporaire

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object